Debian Bug report logs - #471873
live-helper: bashism in /bin/sh script

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Thu, 20 Mar 2008 19:57:02 UTC

Severity: normal

Found in version live-helper/1.0~a40-1

Fixed in version live-helper/1.0~a41-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#471873; Package live-helper. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: submit@bugs.debian.org
Subject: live-helper: bashism in /bin/sh script
Date: Thu, 20 Mar 2008 13:55:48 -0600
Package: live-helper
Severity: normal
Version: 1.0~a40-1
Usertags: bashisms

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package) 
check I've found your package containing a /bin/sh script making 
use of a bashism.

checkbashisms' output:
> possible bashism in ./usr/bin/lh_binary_debian-installer line 115 (local
> foo=bar): local FILE="${1}"
> possible bashism in ./usr/bin/lh_binary_debian-installer line 116 (local
> foo=bar): local TARGET="${2}"

Not using bash as /bin/sh is likely to lead to errors or unexpected 
behaviours. 

For more information please refer to the Debian Policy section 10.4 supporting 
this argument at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #8 received at 471873-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 471873-close@bugs.debian.org
Subject: Bug#471873: fixed in live-helper 1.0~a41-1
Date: Tue, 25 Mar 2008 09:02:21 +0000
Source: live-helper
Source-Version: 1.0~a41-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a41-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a41-1.diff.gz
live-helper_1.0~a41-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a41-1.dsc
live-helper_1.0~a41-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a41-1_all.deb
live-helper_1.0~a41.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a41.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 471873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Mar 2008 00:00:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a41-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 469085 471873
Changes: 
 live-helper (1.0~a41-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Fixing md5sum.txt creation to not fail on filenames with
     whitespaces, thanks to Bas Wijnen <wijnen@debian.org> (Closes:
     #469085).
   * Updating copy instructions in example sources to match current
     state.
   * Updating credits.
   * Switching default of LH_APT from aptitude to apt for >= lenny.
   * Correcting wrong logic on handling secure apt.
   * Including 686 kernel flavour on i386 too, but defaulting (still) to
     486 for compatibility reasons.
 .
   [ Chris Lamb ]
   * lh_chroot_hacks: Ensure initrds are group- and world- readable
   * Allow LH_ENCRYPTION="disabled" to disable encryption
   * lh_binary_encryption: Rework and fix broken AES encryption routines
   * lh_binary_rootfs: Remove
   * lh_binary_debian-installer: Preseed by repacking initrd in some
     situations
   * lh_binary_debian-installer: Merge pool/netboot determining logic
   * lh_binary_debian-installer: Remove "local"-oriented bashisms
     (Closes: #471873).
   * lists/gnome-core: Add gnome-themes
   * lh_chroot_linux-image: Install dependencies differently when using
     aptitude
   * lh_binary_debian-installer: Don't use --no-clobber for downloading
     files
   * lh_binary_debian-installer: Only create package pools when necessary
   * lh_binary_debian-installer: Re-enable d-i on netboot images
   * hooks/stripped: Clean Lintian and Linda overrides in 'stripped' hook
 .
   [ Cyril Brulebois ]
   * Fix various typos.
Files: 
 0bef199eb660ad4afb1f65706645e942 854 misc optional live-helper_1.0~a41-1.dsc
 29e15c02912f7363c0585e6256c961c7 1937744 misc optional live-helper_1.0~a41.orig.tar.gz
 3a474efaa875e54a55761d6ba6e0c738 12239 misc optional live-helper_1.0~a41-1.diff.gz
 7e08b57b59d1eb06f9c6e528775b4b96 1883200 misc optional live-helper_1.0~a41-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH6L2p+C5cwEsrK54RAm6RAJ9pGx0LiItlsUofWa7LlL5LJDXxtQCfUJEn
adIDitsmeY7sYdaaHWai4HA=
=O2fu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Apr 2008 07:39:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:37:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.